Search results

Getting started with JavaScript Breadcrumb control

19 Oct 2022 / 4 minutes to read

This section explains how to create a simple Breadcrumb, and configure its available functionalities in TypeScript using Essential JS 2 quickstart seed repository.

Dependencies

The following list of dependencies are required to use the Breadcrumb component in your application.

Copied to clipboard
|-- @syncfusion/ej2-navigations
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-data
    |-- @syncfusion/ej2-lists
    |-- @syncfusion/ej2-inputs
    |-- @syncfusion/ej2-popups
        |-- @syncfusion/ej2-buttons

Setup your development environment

To get started with the Breadcrumb component, clone Essential JS 2 quickstart, and install the npm packages using the following commands.

Copied to clipboard
git clone https://github.com/syncfusion/ej2-quickstart.git quickstart
cd quickstart
npm install

The project is preconfigured with common settings (src/styles/styles.css, system.config.js) to start all the Essential JS 2 components.

[src/system.config.js]

Copied to clipboard
System.config({
paths: {
    'npm:': './node_modules/',
    'syncfusion:': 'npm:@syncfusion/'
},
map: {
    app: 'app',

    //Syncfusion packages mapping
    "@syncfusion/ej2-base": "syncfusion:ej2-base/dist/ej2-base.umd.min.js",
    "@syncfusion/ej2-data": "syncfusion:ej2-data/dist/ej2-data.umd.min.js",
    "@syncfusion/ej2-inputs": "syncfusion:ej2-inputs/dist/ej2-inputs.umd.min.js",
    "@syncfusion/ej2-buttons": "syncfusion:ej2-buttons/dist/ej2-buttons.umd.min.js",
    "@syncfusion/ej2-splitbuttons": "syncfusion:ej2-splitbuttons/dist/ej2-splitbuttons.umd.min.js",
    "@syncfusion/ej2-lists": "syncfusion:ej2-lists/dist/ej2-lists.umd.min.js",
    "@syncfusion/ej2-popups": "syncfusion:ej2-popups/dist/ej2-popups.umd.min.js",
    "@syncfusion/ej2-dropdowns": "syncfusion:ej2-dropdowns/dist/ej2-dropdowns.umd.min.js",
    "@syncfusion/ej2-navigations": "syncfusion:ej2-navigations/dist/ej2-navigations.umd.min.js",
},
packages: {
    'app': { main: 'app', defaultExtension: 'js' }
}
});

System.import('app.ts').catch(console.error.bind(console)).then(function () {
document.getElementById('loader').style.display = "none";
document.getElementById('container').style.visibility = "visible";
});

Adding Style sheet to the Application

To render Breadcrumb component, need to import navigations and its dependent components styles as given below in styles.css.

Copied to clipboard
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";

Adding Breadcrumb component to the application

Add the HTML UL tag with the id attribute as breadcrumb to your index.html file.

[src/index.html]

Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
<title>Essential JS 2 - Breadcrumb</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
<meta name="description" content="Essential JS 2 - Breadcrumb" />
<meta name="author" content="Syncfusion" />
<link rel="shortcut icon" href="resources/favicon.ico" />

<!--style reference from app-->
<link href="/styles/styles.css" rel="stylesheet" />

<!--system js reference and configuration-->
<script src="node_modules/systemjs/dist/system.src.js" type="text/javascript"></script>
<script src="system.config.js" type="text/javascript"></script>
</head>

<body>
<ul id="breadcrumb"></ul>
</body>
</html>

Import the Breadcrumb component in your app.ts file and initialize it with the #breadcrumb.

[src/app/app.ts]

Copied to clipboard
import { BreadcrumbItemModel, Breadcrumb } from '@syncfusion/ej2-navigations';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

new Breadcrumb({
   enableNavigation: false
}, '#breadcrumb');

Run the application

Run the application in the browser using the following command:

Copied to clipboard
npm start

The following example shows a basic Breadcrumb component.

Source
Preview
app.ts
index.html
styles.css
Copied to clipboard
import { BreadcrumbItemModel, Breadcrumb } from '@syncfusion/ej2-navigations';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

//Breadcrumb items definition

new Breadcrumb({
   enableNavigation: false
}, '#breadcrumb');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
    <meta name="description" content="Essential JS 2" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-navigations/styles/material.css" rel="stylesheet" />

    <!--style reference from app-->
    <link href="styles.css" rel="stylesheet" />

    <!--system js reference and configuration-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>LOADING....</div>
    <div id='container'>
        <div class="control-section">
            <ul id="breadcrumb"></ul>
        </div>
    </div>
</body>

</html>
Copied to clipboard
body {
  margin-top: 100px;
  text-align: center;
}

Adding Breadcrumb items to the project

Use items property to bind items for Breadcrumb component. The below example demonstrates the basic rendering of Breadcrumb with items support.

Source
Preview
app.ts
index.html
styles.css
Copied to clipboard
import { BreadcrumbItemModel, Breadcrumb } from '@syncfusion/ej2-navigations';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

//Breadcrumb items definition

let items: BreadcrumbItemModel[] = [
{
    iconCss: 'e-icons e-home',
    url: "https://ej2.syncfusion.com/demos",
},
{
    text: "Components",
    url: "https://ej2.syncfusion.com/demos/#/material/grid/grid-overview",
},
{
    text: "Navigations",
    url: "https://ej2.syncfusion.com/demos/#/material/breadcrumb/default",
},
{
    text: "Breadcrumb",
    url: "./breadcrumb/default",
}
];

new Breadcrumb({
    items: items,
    enableNavigation: false
}, '#breadcrumb');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
    <meta name="description" content="Essential JS 2" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-navigations/styles/material.css" rel="stylesheet" />

    <!--style reference from app-->
    <link href="styles.css" rel="stylesheet" />

    <!--system js reference and configuration-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>LOADING....</div>
    <div id='container'>
        <div class="control-section">
            <ul id="breadcrumb"></ul>
        </div>
    </div>
</body>

</html>
Copied to clipboard
body {
  margin-top: 100px;
  text-align: center;
}

Enable or Disable Navigation

This feature enables or disables the item navigation. By default, the navigation will be enabled when setting Url property. To prevent breadcrumb item navigation, set enableNavigation property as false in Breadcrumb. The below example shows enabling and disabling the navigation of Breadcrumb items.

Source
Preview
app.ts
index.html
styles.css
Copied to clipboard
import { BreadcrumbItemModel, Breadcrumb } from '@syncfusion/ej2-navigations';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

//Breadcrumb items definition

let items: BreadcrumbItemModel[] = [
{
    iconCss: 'e-icons e-home',
    url: "https://ej2.syncfusion.com/demos",
},
{
    text: "Components",
    url: "https://ej2.syncfusion.com/demos/#/material/grid/grid-overview",
},
{
    text: "Navigations",
    url: "https://ej2.syncfusion.com/demos/#/material/breadcrumb/default",
},
{
    text: "Breadcrumb",
    url: "./breadcrumb/default",
}
];

new Breadcrumb({
items: items,
enableNavigation: false
}, '#breadcrumb');

new Breadcrumb({
items: items,
}, '#breadcrumb2');
Copied to clipboard
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no" />
    <meta name="description" content="Essential JS 2" />
    <meta name="author" content="Syncfusion" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="//cdn.syncfusion.com/ej2/20.3.47/ej2-navigations/styles/material.css" rel="stylesheet" />

    <!--style reference from app-->
    <link href="styles.css" rel="stylesheet" />

    <!--system js reference and configuration-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
</head>
<body>
    <div id='loader'>LOADING....</div>
    <div id='container'>
        <div id="breadcrumb-control" class="control-section">
            <div class="header"><b>EnableNavigation - false</b></div><br />
            <nav id="breadcrumb"></nav>
            <br /><br/>
            <div class="header"><b>EnableNavigation - true</b></div><br />
            <nav id="breadcrumb2"></nav>
        </div>
    </div>
</body>

</html>
Copied to clipboard
body {
  margin-top: 100px;
  text-align: center;
}

#breadcrumb-control {
	margin-left: auto;
	margin-right: auto;
	width: 60%;
}

#breadcrumb-control .header {
	text-align: left;
	padding-left: 10px;
}

#breadcrumb-control .e-control.e-breadcrumb {
	text-align: left;
}

HelpBot Assistant

How can I help you?

Getting started with React Breadcrumb component

6 Feb 202613 minutes to read

This section explains how to create a simple Breadcrumb and configure its available functionalities in React.

Dependencies

The following dependencies are required to use the Breadcrumb component in an application. These packages provide core functionalities for component rendering and navigation.

|-- @syncfusion/ej2-react-navigations
    |-- @syncfusion/ej2-react-base
    |-- @syncfusion/ej2-navigations
        |-- @syncfusion/ej2-base
        |-- @syncfusion/ej2-data
        |-- @syncfusion/ej2-inputs
        |-- @syncfusion/ej2-lists
        |-- @syncfusion/ej2-popups
            |-- @syncfusion/ej2-buttons

Set up a development environment

To set up a React application quickly, use create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up the environment using JavaScript and optimizes applications for production.

Note: To create a React application using create-react-app, see this documentation.

To create a new React application, run the following command.

npm create vite@latest my-app

To set-up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set-up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® packages

All the available Essential® JS 2 packages are published in npmjs.com public registry.

To install Breadcrumb component, use the following command

npm install @syncfusion/ej2-react-navigations --save

The above command installs Breadcrumb dependencies which are required to render the component in the React environment.

Adding Style sheet to the Application

Add Breadcrumb component’s styles as given below in App.css.

@import "../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";

Add Breadcrumb to the project

Now, the Breadcrumb component can be created in the application. Add the Breadcrumb component in src/App.tsx file using the following code snippet.

import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';

function App() {

    return (<BreadcrumbComponent enableNavigation={false} > </BreadcrumbComponent>);
}
export default App;
import { BreadcrumbComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
function App() {
    return (<BreadcrumbComponent enableNavigation={false}> </BreadcrumbComponent>);
}
export default App;

Run the application

Run the following command to start the development server. This compiles code and serves the application locally.

npm run dev

The following example shows a basic Breadcrumb component.

import { enableRipple } from '@syncfusion/ej2-base';
import { BreadcrumbComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
function App() {
    return (<BreadcrumbComponent enableNavigation={false}> </BreadcrumbComponent>);
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
import { enableRipple } from '@syncfusion/ej2-base';
import { BreadcrumbComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);

function App() {

    return (
            <BreadcrumbComponent enableNavigation={false}> </BreadcrumbComponent>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

Add items to the Breadcrumb component

Use the items property to bind items for the Breadcrumb component. The example below demonstrates basic rendering with items support.

import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';
function App() {
    return (<BreadcrumbComponent enableNavigation={false}>
            <BreadcrumbItemsDirective>
                <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform"/>
                <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/grid/overview/"/>
                <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/menu/default"/>
                <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default"/>
            </BreadcrumbItemsDirective>
        </BreadcrumbComponent>);
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {

    return (
        <BreadcrumbComponent enableNavigation={false}>
            <BreadcrumbItemsDirective>
                <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform" />
                <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/grid/overview/" />
                <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/menu/default" />
                <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default" />
            </BreadcrumbItemsDirective>
        </BreadcrumbComponent>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

Enable or Disable Navigation

This feature enables or disables the item navigation. By default, the navigation will be enabled when setting url property. To prevent breadcrumb item navigation, set enableNavigation property as false in Breadcrumb. The below example shows enabling and disabling the navigation of Breadcrumb items.

import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';
function App() {
    return (<div id="breadcrumb-control">
            <div><b>EnableNavigation - false</b></div><br />
            <BreadcrumbComponent enableNavigation={false}>
                <BreadcrumbItemsDirective>
                    <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform"/>
                    <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/grid/overview/"/>
                    <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/menu/default"/>
                    <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default"/>
                </BreadcrumbItemsDirective>
            </BreadcrumbComponent>
            <br />
            <br />
            <div><b>EnableNavigation - true</b></div><br />
            <BreadcrumbComponent enableNavigation={true}>
                <BreadcrumbItemsDirective>
                    <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform"/>
                    <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/grid/overview/"/>
                    <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/menu/default"/>
                    <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default"/>
                </BreadcrumbItemsDirective>
            </BreadcrumbComponent>
        </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';

function App() {

    return (
        <div id="breadcrumb-control">
            <div><b>EnableNavigation - false</b></div><br />
            <BreadcrumbComponent enableNavigation={false}>
                <BreadcrumbItemsDirective>
                    <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform" />
                    <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/grid/overview/" />
                    <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/menu/default" />
                    <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default" />
                </BreadcrumbItemsDirective>
            </BreadcrumbComponent>
            <br />
            <br/>
            <div><b>EnableNavigation - true</b></div><br />
            <BreadcrumbComponent enableNavigation={true}>
                <BreadcrumbItemsDirective>
                    <BreadcrumbItemDirective iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/react.html#platform" />
                    <BreadcrumbItemDirective text="Components" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/grid/overview/" />
                    <BreadcrumbItemDirective text="Navigations" url="https://ej2.syncfusion.com/react/demos/#/tailwind3/menu/default" />
                    <BreadcrumbItemDirective text="Breadcrumb" url="./breadcrumb/default" />
                </BreadcrumbItemsDirective>
            </BreadcrumbComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

Getting started with Angular Breadcrumb component

6 Feb 202610 minutes to read

This section explains how to create a simple Breadcrumb component and demonstrates the basic usage of the Breadcrumb module in an Angular environment. The Breadcrumb component provides a navigation aid that helps users understand their current location within a hierarchy of pages or sections, displaying clickable links to parent levels.

Dependencies

The following dependencies are required to use the Breadcrumb module in your Angular application:

|-- @syncfusion/ej2-angular-navigations
    |-- @syncfusion/ej2-angular-base
    |-- @syncfusion/ej2-navigations
        |-- @syncfusion/ej2-base
        |-- @syncfusion/ej2-data
        |-- @syncfusion/ej2-lists
        |-- @syncfusion/ej2-inputs
        |-- @syncfusion/ej2-splitbuttons
        |-- @syncfusion/ej2-popups
            |-- @syncfusion/ej2-buttons

Setup Angular environment

You can use Angular CLI to setup your Angular applications. To install Angular CLI use the following command.

npm install -g @angular/cli

Create an Angular application

Start a new Angular application using below Angular CLI command.

ng new my-app
cd my-app

Installing Syncfusion® Breadcrumb Package

Syncfusion® packages are distributed in npm as @syncfusion scoped packages. You can get all the Angular Syncfusion® packages from npm link.

Currently, Syncfusion® provides two types of package structures for Angular components:

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion® Angular packages(>=20.2.36) have been moved to the Ivy distribution to support the Angular Ivy rendering engine and the packages are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-navigations package to the application.

npm install @syncfusion/ej2-angular-navigations --save

Angular compatibility compiled package(ngcc)

For Angular versions below 12, you can use the legacy (ngcc) package of the Syncfusion® Angular components. To download the ngcc package use the command below.

Add @syncfusion/ej2-angular-navigations@ngcc package to the application.

npm install @syncfusion/ej2-angular-navigations@ngcc --save

To specify the ngcc package in the package.json file, add the suffix -ngcc with the package version as shown below.

@syncfusion/ej2-angular-navigations:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Adding Syncfusion® Breadcrumb component

Modify the template in app.component.ts file with ejs-breadcrumb to render the Breadcrumb component.

import { BreadcrumbModule } from '@syncfusion/ej2-angular-navigations'
import { Component } from '@angular/core';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

@Component({
imports: [ BreadcrumbModule],
standalone: true,
selector: 'app-root',
template: `<!-- To Render Breadcrumb. -->
  <ejs-breadcrumb [enableNavigation]="false"></ejs-breadcrumb>`
})

export class AppComponent {}

Adding CSS reference

Add Breadcrumb component’s styles as given below in style.css.

@import '../node_modules/@syncfusion/ej2-base/styles/material3';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material3';

Running the application

Run the application in the browser using the following command:

ng serve

The following example shows a basic Breadcrumb component.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { BreadcrumbModule } from '@syncfusion/ej2-angular-navigations'



import { Component } from '@angular/core';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

@Component({
imports: [ BreadcrumbModule],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
            <!-- To Render Breadcrumb. -->
            <ejs-breadcrumb [enableNavigation]="false"></ejs-breadcrumb></div>`
})

export class AppComponent {}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Add Items to the Breadcrumb Component

Use the items property to bind items for the Breadcrumb component. Each item in the items array follows the BreadcrumbItemModel interface, which includes properties like text (display text), url (navigation link), iconCss (icon class), and disabled (enable/disable state). The example below demonstrates the basic rendering of Breadcrumb with items support.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { BreadcrumbModule } from '@syncfusion/ej2-angular-navigations'



import { Component } from '@angular/core';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

@Component({
imports: [ BreadcrumbModule],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
                <!-- To Render Breadcrumb with items. -->
            <ejs-breadcrumb [enableNavigation]="false">
                <e-breadcrumb-items>
                    <e-breadcrumb-item iconCss="e-icons e-home" url="https://ej2.syncfusion.com/home/angular.html"></e-breadcrumb-item>
                    <e-breadcrumb-item text="Components" url="https://ej2.syncfusion.com/angular/demos/#/material/grid/over-view"></e-breadcrumb-item>
                    <e-breadcrumb-item text="Navigations" url="https://ej2.syncfusion.com/angular/demos/#/material/breadcrumb/default"></e-breadcrumb-item>
                    <e-breadcrumb-item text="Breadcrumb" url="./breadcrumb/default"></e-breadcrumb-item>
                </e-breadcrumb-items>
            </ejs-breadcrumb>
            </div>`
})

export class AppComponent {}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Enable or Disable Navigation

This feature enables or disables item navigation functionality. By default, navigation will be enabled when the url property is set for breadcrumb items. To prevent breadcrumb item navigation, set the enableNavigation property to false. When navigation is disabled, clicking on breadcrumb items will not navigate to their specified URLs. The example below shows how to enable and disable navigation for Breadcrumb items.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { BreadcrumbModule } from '@syncfusion/ej2-angular-navigations'



import { Component } from '@angular/core';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

@Component({
imports: [ BreadcrumbModule],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
        <!-- To Render Breadcrumb with items. -->
        <div id="breadcrumb-control">
            <div class="header"><b>EnableNavigation - false</b></div><br />
            <ejs-breadcrumb [enableNavigation]='false'>
                <e-breadcrumb-items>
                    <e-breadcrumb-item iconCss= 'e-icons e-home' url= 'https://ej2.syncfusion.com/angular/demos/'>
                    </e-breadcrumb-item>
                    <e-breadcrumb-item text= 'Components' url= 'https://ej2.syncfusion.com/angular/demos/datagrid/overview'>
                    </e-breadcrumb-item>
                    <e-breadcrumb-item text= 'Navigations' url= 'https://ej2.syncfusion.com/angular/demos/menu/default'>
                    </e-breadcrumb-item>
                    <e-breadcrumb-item text= 'Breadcrumb' url= 'https://ej2.syncfusion.com/angular/demos/breadcrumb/default'>
                    </e-breadcrumb-item>
                </e-breadcrumb-items>
            </ejs-breadcrumb>
            <br />
            <br/>
            <div class="header"><b>EnableNavigation - true</b></div><br />
            <ejs-breadcrumb [enableNavigation]='true'>
                <e-breadcrumb-items>
                    <e-breadcrumb-item iconCss= 'e-icons e-home' url= 'https://ej2.syncfusion.com/angular/demos/'>
                    </e-breadcrumb-item>
                    <e-breadcrumb-item text= 'Components' url= 'https://ej2.syncfusion.com/angular/demos/datagrid/overview'>
                    </e-breadcrumb-item>
                    <e-breadcrumb-item text= 'Navigations' url= 'https://ej2.syncfusion.com/angular/demos/menu/default'>
                    </e-breadcrumb-item>
                    <e-breadcrumb-item text= 'Breadcrumb' url= 'https://ej2.syncfusion.com/angular/demos/breadcrumb/default'>
                    </e-breadcrumb-item>
                </e-breadcrumb-items>
            </ejs-breadcrumb>
        </div>
        </div>`
})

export class AppComponent {}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Getting Started with the Vue Breadcrumb Component in Vue 2

18 Mar 202611 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue Breadcrumb component

Prerequisites

System requirements for Syncfusion® Vue UI components

Dependencies

The following list of dependencies are required to use the Breadcrumb component in your application.

|-- @syncfusion/ej2-vue-navigations
    |-- @syncfusion/ej2-vue-base
    |-- @syncfusion/ej2-navigations
        |-- @syncfusion/ej2-base
        |-- @syncfusion/ej2-data
        |-- @syncfusion/ej2-lists
        |-- @syncfusion/ej2-inputs
        |-- @syncfusion/ej2-popups
            |-- @syncfusion/ej2-buttons

Setting up the Vue 2 project

To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

or

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion® components to the project.

Add Syncfusion® Vue packages

Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue Breadcrumb component as an example. Install the @syncfusion/ej2-vue-navigations package by running the following command:

npm install @syncfusion/ej2-vue-navigations --save

or

yarn add @syncfusion/ej2-vue-navigations

Add Syncfusion® Vue component

Follow the below steps to add the Vue Breadcrumb component:

1. First, import and register the Breadcrumb component in the script section of the src/App.vue file.

<script>
import { BreadcrumbComponent } from "@syncfusion/ej2-vue-navigations";

export default {
   components:{
    'ejs-breadcrumb': BreadcrumbComponent
   }
}
</script>

2. In the template section, define the Breadcrumb component with the enableNavigation property.

<template>
<div>
<ejs-breadcrumb :enableNavigation='false'></ejs-breadcrumb>
</div>
</template>

Here is the summarized code for the above steps in the src/App.vue file:

<template>
    <div>
        <ejs-breadcrumb :enableNavigation='false'></ejs-breadcrumb>
    </div>
</template>

<script>
import { BreadcrumbComponent } from "@syncfusion/ej2-vue-navigations";

export default {
    name: "App",
    components: {
        'ejs-breadcrumb': BreadcrumbComponent
    },
    data: function () {
        return {};
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";

body {
    margin-top: 100px;
    text-align: center;
}
</style>

Run the project

To run the project, use the following command:

npm run serve

or

yarn run serve

Add Items to the Breadcrumb Component

Use items property to bind items for Breadcrumb component. The below example demonstrates the basic rendering of Breadcrumb with items support.

<template>
    <div>
        <ejs-breadcrumb :enableNavigation='false'>
            <e-breadcrumb-items>
                <e-breadcrumb-item iconCss='e-icons e-home'
                    url='https://ej2.syncfusion.com/vue/demos/'></e-breadcrumb-item>
                <e-breadcrumb-item text='Components'
                    url='https://ej2.syncfusion.com/vue/demos/datagrid/overview'></e-breadcrumb-item>
                <e-breadcrumb-item text='Navigations'
                    url='https://ej2.syncfusion.com/vue/demos/menu/default'></e-breadcrumb-item>
                <e-breadcrumb-item text='Breadcrumb'
                    url='https://ej2.syncfusion.com/vue/demos/breadcrumb/default'></e-breadcrumb-item>
            </e-breadcrumb-items>
        </ejs-breadcrumb>
    </div>
</template>

<script>

import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from "@syncfusion/ej2-vue-navigations";

export default {
    name: "App",
    components: {
        'ejs-breadcrumb': BreadcrumbComponent,
        'e-breadcrumb-item': BreadcrumbItemDirective,
        'e-breadcrumb-items': BreadcrumbItemsDirective
    },
    data: function () {
        return {};
    }
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";

body {
    margin-top: 100px;
    text-align: center;
}
</style>

Enable or Disable Navigation

This feature enables or disables the item navigation. By default, the navigation will be enabled when setting Url property. To prevent breadcrumb item navigation, set enableNavigation property as false in Breadcrumb. The below example shows enabling and disabling the navigation of Breadcrumb items.

<template>
    <div>
        <div id="breadcrumb-control">
            <div class="header"><b>Enable Navigation- false</b></div><br />
            <ejs-breadcrumb :enableNavigation='false'>
                <e-breadcrumb-items>
                    <e-breadcrumb-item iconCss='e-icons e-home'
                        url='https://ej2.syncfusion.com/vue/demos/'></e-breadcrumb-item>
                    <e-breadcrumb-item text='Components'
                        url='https://ej2.syncfusion.com/vue/demos/datagrid/overview'></e-breadcrumb-item>
                    <e-breadcrumb-item text='Navigations'
                        url='https://ej2.syncfusion.com/vue/demos/menu/default'></e-breadcrumb-item>
                    <e-breadcrumb-item text='Breadcrumb'
                        url='https://ej2.syncfusion.com/vue/demos/breadcrumb/default'></e-breadcrumb-item>
                </e-breadcrumb-items>
            </ejs-breadcrumb>
            <br />
            <br />
            <div class="header"><b>Enable Navigation- true</b></div><br />
            <ejs-breadcrumb :enableNavigation='true'>
                <e-breadcrumb-items>
                    <e-breadcrumb-item iconCss='e-icons e-home'
                        url='https://ej2.syncfusion.com/vue/demos/'></e-breadcrumb-item>
                    <e-breadcrumb-item text='Components'
                        url='https://ej2.syncfusion.com/vue/demos/datagrid/overview'></e-breadcrumb-item>
                    <e-breadcrumb-item text='Navigations'
                        url='https://ej2.syncfusion.com/vue/demos/menu/default'></e-breadcrumb-item>
                    <e-breadcrumb-item text='Breadcrumb'
                        url='https://ej2.syncfusion.com/vue/demos/breadcrumb/default'></e-breadcrumb-item>
                </e-breadcrumb-items>
            </ejs-breadcrumb>
        </div>

    </div>
</template>

<script>
import { BreadcrumbComponent, BreadcrumbItemDirective, BreadcrumbItemsDirective } from "@syncfusion/ej2-vue-navigations";

export default {
    name: "App",
    components: {
        'ejs-breadcrumb': BreadcrumbComponent,
        'e-breadcrumb-item': BreadcrumbItemDirective,
        'e-breadcrumb-items': BreadcrumbItemsDirective
    },
    data: function () {
        return {};
    }
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";

body {
    margin-top: 100px;
    text-align: center;
}

#breadcrumb-control {
    margin-left: auto;
    margin-right: auto;
    width: 60%;
}

#breadcrumb-control .header {
    text-align: left;
    padding-left: 10px;
}

#breadcrumb-control .e-control.e-breadcrumb {
    text-align: left;
}
</style>